Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ParticleEffect Class Reference
Inheritance diagram for ParticleEffect:

## Public Member Functions
| __init__ (self, name=None, particles=None)
| accelerate (self, time, stepCount=1, stepTime=0.0)
| addForce (self, force)
| addForceGroup (self, forceGroup)
| addParticles (self, particles)
| cleanup (self)
| clearToInitial (self)
| disable (self)
| enable (self)
| getForceGroupDict (self)
| getForceGroupList (self)
| getForceGroupNamed (self, name)
| getName (self)
| getParticlesDict (self)
| getParticlesList (self)
| getParticlesNamed (self, name)
| isEnabled (self)
| loadConfig (self, filename)
| removeAllForces (self)
| removeAllParticles (self)
| removeForce (self, force)
| removeForceGroup (self, forceGroup)
| removeParticles (self, particles)
| reset (self)
| saveConfig (self, filename)
| softStart (self, firstBirthDelay=None)
| softStop (self)
| start (self, parent=None, renderParent=None)

## Public Attributes
int | fEnabled = 0
dict | forceGroupDict = {}
| name = name
dict | particlesDict = {}
| renderParent = None

## Static Public Attributes
| add_force = addForce
| add_force_group = addForceGroup
| add_particles = addParticles
| clear_to_initial = clearToInitial
| get_force_group_dict = getForceGroupDict
| get_force_group_list = getForceGroupList
| get_force_group_named = getForceGroupNamed
| get_particles_dict = getParticlesDict
| get_particles_list = getParticlesList
| get_particles_named = getParticlesNamed
| is_enabled = isEnabled
| load_config = loadConfig
| notify = DirectNotifyGlobal.directNotify.newCategory('ParticleEffect')
int | pid = 1
| remove_all_forces = removeAllForces
| remove_all_particles = removeAllParticles
| remove_force = removeForce
| remove_force_group = removeForceGroup
| remove_particles = removeParticles
| save_config = saveConfig
| soft_start = softStart
| soft_stop = softStop

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name = None,
|  |  | particles = None )

## Member Function Documentation

## ◆ accelerate()

accelerate | ( |  | self,
|  |  | time,
|  |  | stepCount = 1,
|  |  | stepTime = 0.0 )

## ◆ addForce()

addForce | ( |  | self,
|  |  | force )

## ◆ addForceGroup()

addForceGroup | ( |  | self,
|  |  | forceGroup )

## ◆ addParticles()

addParticles | ( |  | self,
|  |  | particles )

## ◆ cleanup()

cleanup | ( |  | self | ) |

## ◆ clearToInitial()

clearToInitial | ( |  | self | ) |

## ◆ disable()

disable | ( |  | self | ) |

## ◆ enable()

enable | ( |  | self | ) |

## ◆ getForceGroupDict()

getForceGroupDict | ( |  | self | ) |

## ◆ getForceGroupList()

getForceGroupList | ( |  | self | ) |

## ◆ getForceGroupNamed()

getForceGroupNamed | ( |  | self,
|  |  | name )

## ◆ getName()

getName | ( |  | self | ) |

## ◆ getParticlesDict()

getParticlesDict | ( |  | self | ) |

## ◆ getParticlesList()

getParticlesList | ( |  | self | ) |

## ◆ getParticlesNamed()

getParticlesNamed | ( |  | self,
|  |  | name )

## ◆ isEnabled()

isEnabled | ( |  | self | ) |

    Note: this may be misleading if enable(), disable() not used

## ◆ loadConfig()

loadConfig | ( |  | self,
|  |  | filename )

## ◆ removeAllForces()

removeAllForces | ( |  | self | ) |

## ◆ removeAllParticles()

removeAllParticles | ( |  | self | ) |

## ◆ removeForce()

removeForce | ( |  | self,
|  |  | force )

## ◆ removeForceGroup()

removeForceGroup | ( |  | self,
|  |  | forceGroup )

## ◆ removeParticles()

removeParticles | ( |  | self,
|  |  | particles )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ saveConfig()

saveConfig | ( |  | self,
|  |  | filename )

## ◆ softStart()

softStart | ( |  | self,
|  |  | firstBirthDelay = None )

## ◆ softStop()

softStop | ( |  | self | ) |

## ◆ start()

start | ( |  | self,
|  |  | parent = None,
|  |  | renderParent = None )

## Member Data Documentation

## ◆ add_force

add_force = addForce
| static

## ◆ add_force_group

add_force_group = addForceGroup
| static

## ◆ add_particles

add_particles = addParticles
| static

## ◆ clear_to_initial

clear_to_initial = clearToInitial
| static

## ◆ fEnabled

int fEnabled = 0

## ◆ forceGroupDict

dict forceGroupDict = {}

## ◆ get_force_group_dict

get_force_group_dict = getForceGroupDict
| static

## ◆ get_force_group_list

get_force_group_list = getForceGroupList
| static

## ◆ get_force_group_named

get_force_group_named = getForceGroupNamed
| static

## ◆ get_particles_dict

get_particles_dict = getParticlesDict
| static

## ◆ get_particles_list

get_particles_list = getParticlesList
| static

## ◆ get_particles_named

get_particles_named = getParticlesNamed
| static

## ◆ is_enabled

is_enabled = isEnabled
| static

## ◆ load_config

load_config = loadConfig
| static

## ◆ name

name = name

## ◆ notify

notify = DirectNotifyGlobal.directNotify.newCategory('ParticleEffect')
| static

## ◆ particlesDict

dict particlesDict = {}

## ◆ pid

int pid = 1
| static

## ◆ remove_all_forces

remove_all_forces = removeAllForces
| static

## ◆ remove_all_particles

remove_all_particles = removeAllParticles
| static

## ◆ remove_force

remove_force = removeForce
| static

## ◆ remove_force_group

remove_force_group = removeForceGroup
| static

## ◆ remove_particles

remove_particles = removeParticles
| static

## ◆ renderParent

renderParent = None

## ◆ save_config

save_config = saveConfig
| static

## ◆ soft_start

soft_start = softStart
| static

## ◆ soft_stop

soft_stop = softStop
| static